# BufferingAppender.hh File Reference

`#include <log4cpp/LayoutAppender.hh>`
`#include <log4cpp/TriggeringEventEvaluator.hh>`
`#include <list>`
`#include <memory>`

Include dependency graph for BufferingAppender.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::BufferingAppender

## Defines

#define | h_ebd0ee89_622d_4af1_9a9d_d0e057debe86

## Define Documentation

#define h_ebd0ee89_622d_4af1_9a9d_d0e057debe86